apiVersion: apps/v1
kind: Deployment
metadata:
  name: lhconsumer-dev
  namespace: logharbour
spec:
  replicas: 1
  selector:
    matchLabels:
      app: lhconsumer
  template:
    metadata:
      labels:
        app: lhconsumer
    spec:
      containers:
      - name: lhconsumer
        image: private-repo:5000/lhconsumer:latest
        env:
        - name: ELASTICSEARCH_ADDRESSES
          value: "http://10.108.151.19:9200"
        - name: ELASTICSEARCH_INDEX
          value: "kra-dev"
        #- name: ELASTICSEARCH_USERNAME
         # value: "elastic"
        #- name: ELASTICSEARCH_PASSWORD
         # value: "ommxdr3n5cbhU9WLH*-K"
        #- name: KAFKA_URL
         # value: "kafka-svc.svc.cluster.local:9092"
        - name: KAFKA_BROKERS
          value: "10.109.99.64:9092"
        - name: KAFKA_TOPIC
          value: "log_topic"
      nodeSelector:
        name: master

